Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179379 - convert to composite component doesn't generate correct JSF namespaces
convert to composite component doesn't generate correct JSF namespaces
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
issues@javaee
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 06:29 UTC by Jindrich Sedek
Modified: 2010-01-27 05:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2010-01-11 06:29:18 UTC
Create new Web Application with JSF 2.0
select some code in index.xhtml
type this code in index.xhtml:
--------------
<c:if test="${1 == 1}">
     do IT!
</c:if>
--------------
add xml namespace definition:
--------------
xmlns:c="http://java.sun.com/jsp/jstl/core"
--------------

select the code and invoke convert to composite component

new component is generated, many useless JSF namespaces are generated, but xmlns:c namespace is not generated and thus the code is not compilable
Comment 1 Marek Fukala 2010-01-11 06:37:01 UTC
nasty issue, but this has never worked, but I'll try to fix to 68 patch.
Comment 2 Marek Fukala 2010-01-11 09:40:48 UTC
All the original and the snippet related "imports" needs to be used in the generated component file. Currently the template has only some predefined static declarations.
Comment 3 Marek Fukala 2010-01-12 07:34:52 UTC
fixed in web-main#66c9065eeac6, now the imports in the template instance are generated according to the snippet content.
Comment 4 Quality Engineering 2010-01-13 12:30:07 UTC
Integrated into 'main-golden', will be available in build *201001131418* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/568fffe17109
User: Marek Fukala <mfukala@netbeans.org>
Log: #179379 - convert to composite component doesn't generate correct JSF namespaces
Comment 5 Jindrich Sedek 2010-01-14 03:06:02 UTC
NetBeans IDE Dev (Build 201001140201)
Comment 6 pgebauer 2010-01-19 05:34:18 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/f23c127544e3

The fix has been ported together with the bugfix of issue #178751. If a rollback is needed, both issues have to be skipped together.
Comment 7 Jindrich Sedek 2010-01-27 05:06:03 UTC
verified in 68_fixes build
NetBeans IDE 6.8 (Build 201001261800)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo